/*
    2000 Microsoft Corporation. All rights reserved.
*/

var drawerClosed = 59;
var drawerOpened = 128;
var viewClosed = 167;
var viewOpened = 236;
var drawerIsOpened = false;
speed = 200;

function OnLoad()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    visEffects.currentEffectType = mediacenter.effectType;
    visEffects.currentPreset = mediacenter.effectPreset;
    OnOpenStateChange();
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function OnOpenStateChange()
{
    if(player.openState == osMediaOpen)
    {
        UpdateMetadata();
    }
}

function StartVideo()
{
    visEffects.visible = false;
    vid.visible = true;
}

function EndVideo()
{
    visEffects.visible = true;
    vid.visible = false;
}

function ToggleDrawer()
{
    view.height = viewOpened;
    pl.visible = false;
    sDrawer.moveto(sDrawer.left,
        drawerIsOpened ? drawerClosed : drawerOpened, speed);
    drawerIsOpened = !drawerIsOpened;
}

function DrawerOnEndMove()
{
    bDrawerToggle.upToolTip = drawerIsOpened ?
        xEqPl.value : xEqPl.toolTip;
    if(drawerIsOpened)
    {
        pl.visible = true;
    }
    else
    {
        view.height = viewClosed;
    }
}

function UpdateMetadata()
{
    artist.value =
        player.currentmedia.getiteminfo("author");
}